- name: Deploy CPUProcessor
  block:	
  - name: Upload Processor Script
    copy:
      src: processor.sh
      dest: /home/ubuntu/processor.sh
  when: task == "DEPLOY"
  become_user: root
  
- name: Configure CPUProcessor
  block:
  - name: Make script executable
    file:
      path: /home/ubuntu/processor.sh
      mode: 0777
  when: task == "CONFIGURE"
  become_user: root
  
- name: Start CPUProcessor
  block:
  - name: Execute processor script
    command: start-stop-daemon --start --startas /home/ubuntu/processor.sh 127.0.0.1 -m --pidfile /run/processor.pid -b
  when: task == "START"
  become_user: root
  
- name: Stop CPUProcessor
  block:
  - name: Stop processor script
    command: start-stop-daemon --stop -m --pidfile /run/processor.pid
  when: task == "STOP"
  become_user: root

- name: Undeploy CPUProcessor
  block:
  - debug: msg="Operation undeploy not implemented."
  when: task == "UNDEPLOY"
  become_user: root
